Gets Store Detail.
This route returns the details of a given store, embedding the best generic offer, if any.
curl --request GET \
--url https://api.sandbox.paylead.tech/connectors/stores/{store_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.paylead.tech/connectors/stores/{store_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.paylead.tech/connectors/stores/{store_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "MY LITTLE BRAND PARIS",
"address": "55 rue des moulins",
"brand": {
"name": "<string>",
"created_at": "2019-01-31T15:16:15.523309+00:00",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"logo": {
"content_type": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
},
"updated_at": "2020-01-23T12:00:00+00:00"
},
"business_name": "MY BRAND SARL",
"city": "Paris",
"country": "France",
"created_at": "2019-01-31T15:16:15.523309+00:00",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"is_online": true,
"latitude": 50.51534475,
"longitude": 6.0646992,
"merchant": {
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"created_at": "2019-01-31T15:16:15.523309+00:00",
"has_delegation": true,
"logo": {
"content_type": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
}
},
"networks": [
{
"created_at": "2019-01-31T15:16:15.523309+00:00",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"logo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stores_total": 123
}
],
"offers": [
{
"cashback_rate": 5,
"highlight_level": "HIGH",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"status": "<string>",
"type": "CASHBACK",
"application_channel": "ONLINE",
"application_url": "https://www.mybrand.fr",
"brand": {
"description": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"legal_terms": "<string>",
"logo": {
"content_type": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
},
"name": "<string>",
"universes": [
{
"children": "<array>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"parent_id": "5c5e6d04-9dfc-46b8-9432-7c977f1dca23"
}
]
},
"cashback_budget": 123,
"cashback_overall_amount": 123,
"comission_rate": 123,
"consumed": true,
"coupon_diffusion_type": "<unknown>",
"coupon_file": {
"content_type": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
},
"coupon_generic_code": "<unknown>",
"coupon_total_number": 123,
"created_at": "2019-01-31T15:16:15.523309+00:00",
"description": "<string>",
"end_date": "2017-12-26T23:00:00+00:00",
"favorite": true,
"is_activated": true,
"is_consumed": true,
"is_favorite": true,
"last_publish": "2023-11-07T05:31:56Z",
"legal_terms": "<string>",
"max_amount": 250,
"max_cashbacks_per_consumer": 123,
"merchant": {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"logo": {
"content_type": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
}
},
"min_amount": 40,
"network": "739c5ba7-8831-4664-9ce3-73e9f1e50c09",
"old_publish_dates": [
"2023-11-07T05:31:56Z"
],
"picture": {
"content_type": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
},
"program": {
"id": "<string>",
"legal_terms": "<string>",
"name": "<string>"
},
"publication_date": "2019-01-01T00:00:00+00:00",
"reference": "MYBRAND-20180220-001",
"segments": [
{
"id": "e2c32b4b-de61-459b-accf-a75f76247946"
}
],
"source_transaction": true,
"start_date": "2018-12-21T00:00:00+00:00",
"total_amount": 4682.67,
"total_consumers": 123,
"universes": {
"level_1": "Mode&Accessoire",
"level_2": "Mode",
"level_3": "Mode Femme"
},
"user": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"phone_number": "0102030405",
"siret": 81968937300010,
"website": "https://www.paylead.fr/",
"zip_code": 84120
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique ID of the store on PayLead system.
Response
OK
Name of the store
"MY LITTLE BRAND PARIS"
Address of the Store
"55 rue des moulins"
Show child attributes
Show child attributes
Business Name (Legal) of the store
"MY BRAND SARL"
City of the store
"Paris"
Country of the store
"France"
Object creation datetime
"2019-01-31T15:16:15.523309+00:00"
Unique ID of the object.
"e2c32b4b-de61-459b-accf-a75f76247946"
TRUE if the store is online (no address, no geolocation, url); FALSE if the store is physical
true
Latitude of the store
50.51534475
Longitude of the store
6.0646992
Show child attributes
Show child attributes
networks
Show child attributes
Show child attributes
Best available offer for current user (or generic user) in this store. The best available offer is the offer that is:
- Available for the current store
- Eligible for the current user
- proposing the best cashback rate
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Phone number of the store
"0102030405"
SIRET of the current Store. Siret is a 14-digit business identification number managed by INSEE. The Siret consists of the Siren number of 9 digits which identifies the company, a 4-digit number to identify the establishment and 1 digit forming a control key to verify Luhn's algorithm
81968937300010
URL of a brand website
"https://www.paylead.fr/"
Zip code of the store
84120
Was this page helpful?
